/* 
	mlsx.h

   Declarations for MLST and MLSD commands.

   Copyright (C) 2000   Andrey Savochkin (saw@saw.sw.com.sg)
                        Maxim Shesterikov (libraftp@narod.ru)

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston,
   MA  02111-1307, USA.
*/
/* $Id: mlsx.h,v 1.8 2002/12/15 23:17:16 shesmax Exp $ */

#ifndef GUARD_MLSX_H
#define GUARD_MLSX_H

/* Outputs the list of all supported facts through control connection */
#define MLF_ALL_FACTS      1
#define MLF_ACTIVE_FACTS   0
void MlsxListFacts( int bAllFacts );

/* Handles OPTS MLST command */
int MlsxOpts( char* desired_facts );

int Mlst( char* args );
int Mlsd( char* args );

#endif
