/*
   retcodes.h

   Return codes

   Copyright (C) 1999   Andrey Savochkin (saw@saw.sw.com.sg)
                        Maxim Shesterikov (libraftp@narod.ru)

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston,
   MA  02111-1307, USA.
*/
/* $Id: retcodes.h,v 1.8 2002/05/18 05:50:02 shesmax Exp $ */

#ifndef __GUARD_RETCODES_H
#define __GUARD_RETCODES_H

/* Return codes for functions that have UNIX-like semantic */
#define RC_OK			 0
#define RC_ERROR		-1		/* file system, OS or library error */
#define RC_TIMEDOUT	-2		/* requested action timed out */
#define RC_ABORTED	-3		/* requested action aborted by the client */

/* Return codes for functions with boolean semantic */
#define RC_FALSE     0
#define RC_TRUE      1

#endif
